;;; -*- Common Lisp -*-

(defpackage :feebs-system
  (:use :cl :asdf))

(in-package :feebs-system)

(defsystem the-feebs-war
  :description "The Feebs War is a continuation of Planet of the Feebs."
  :version "0.1"
  :author "Gustavo Henrique Milaré <gugamilare@gmail.com>"
  :licence "GPL"
; :depends-on (lispbuilder-sdl)
    
  :components
   ((:cl-source-file "package")
    (:cl-source-file "utils"  :depends-on ("package"))
    (:cl-source-file "system" :depends-on ("utils"))
    (:cl-source-file "images" :depends-on ("system"))
    (:cl-source-file "main"   :depends-on ("images"))
    ;; GPL
    (:doc-file "licence")

    (:module "definitions"
      :depends-on ("main")
      :components
      ((:cl-source-file "rules")
       (:cl-source-file "mazes")
       (:cl-source-file "extra")
       (:cl-source-file "brains")))
     
    (:module "graphics"
      :depends-on ("main")
      :components
      ((:file "graphics")))
     
    ;; documentation
    (:module "documentation"
      :components
      ((:doc-file "feebs.tex")))))
